/* Copyright (c) 1999 TTK Ciar / Bill Moyer
 * All rights reserved.                               
 *
 * This code is derived from code developed by TTK Ciar and Bill Moyer.    
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions         
 * are met:                                                                  
 *
 *  1. Redistributions of source code must retain the above copyright        
 *     notice, this list of conditions and the following disclaimer.
 *  2. The name of the author may not be used to endorse or promote
 *     products derived from this software without specific prior
 *     written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
 * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
 * IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
 * IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
#ifndef _QD3LIB_H_
#define _QD3LIB_H_

#define QD_GETWIDTH (0x01)
#define QD_SETWIDTH (0x02)
#define QD_GETCASE  (0x03) 
#define QD_SETCASE  (0x04)
#define QD_GETHEAD  (0x05)
#define QD_SETHEAD  (0x06)

char *padstr   ( char*, char, int );
char *padnum   ( int, int );
char *padhex   ( int, int, int );
int qd3ctl     ( int what, int val );
int qd3        ( char *name, int k, char *buf );
int qd3_to_buf ( char *name, int k, char *buf, char *dest, int *max_ );

#endif
